/* (c) Copyright IBM Corp. 1996, 1997.  All rights reserved.      */
/*                                                                */
/* US Government Users Restricted Rights - Use, duplication or    */
/* disclosure restricted by GSA ADP Schedule Contract with IBM    */
/* Corp.                                                          */
/*                                                                */
/* DISCLAIMER OF WARRANTIES.  The following [enclosed] code is    */
/* sample code created by IBM Corporation.  This sample code is   */
/* not part of any standard or IBM product and is provided to you */
/* solely for the purpose of assisting you in the development of  */
/* your applications.  The code is provided "AS IS", without      */
/* warranty of any kind.  IBM shall not be liable for any damages */
/* arising out of your use of the sample code, even if they have  */
/* been advised of the possibility of such damages.               */

/*
 * This file is a compatibility file between ISI and IBM implementatios
 * of RSVP.
 */

#define RAPI_FLOWSTYPE_CSZ   RAPI_FORMAT_LEGACY

/* from ISI's rapi_lib.h */

#define QOS_GUARANTEEDX      4     /* (real) Guaranteed service    */
#define QOS_CNTR_LOAD        5     /* Controlled-Load service      */
#define QOS_TSPECX           6     /* Generic Tspec                */

#define RAPIObj_Size(p)  (((rapi_hdr_t *)(p))->len)
#define After_RAPIObj(p) ((char *)(p) + RAPIObj_Size(p))


#define specbody_qos    specbody_u.qos
#define spec_r          spec_Tspec.spec_Tspec_r
#define spec_b          spec_Tspec.spec_Tspec_b



#define hton16(x)       ((u_int16_t)htons((u_int16_t)(x)))
#define hton32(x)       ((u_int32_t)htonl((u_int32_t)(x)))
#define ntoh16(x)       ((u_int16_t)ntohs((u_int16_t)(x)))
#define ntoh32(x)       ((u_int32_t)ntohl((u_int32_t)(x)))


/* include files need by OS/2 */

#ifdef OS2
#include <types.h>
#include <nerrno.h>
#ifdef errno
#undef errno
#define  errno                sock_errno()
#endif
#define  perror(s)            psock_errno(s)
#define  read(s,buf,len)      recv(s,(char *) buf,len,0)
#define  close(s)             soclose(s)
#endif
